Liboobs 3.0.0, 2010-04-02
-----------------------------------------------
Liboobs version 3.0.0 "Void" has been released.

  - Update DOAP file.


Liboobs 2.91.1, 2010-12-19
-----------------------------------------------
Liboobs version 2.91.1 "Strict Groups" has been released.

  - Fix updating main groups for new users
  - Remove idle tasks when destroying objects
  - Link gtk-doc scanner against OOBS_LIBS so strict linking works


Liboobs 2.32.0, 2010-09-27
-----------------------------------------------
Liboobs version 2.32.0 "If It Ain't Broke, Don't Fix It" has been released.

No changes release to use the stable version number.


Liboobs 2.31.91, 2010-08-30
-----------------------------------------------
Liboobs version 2.31.91 "Better Break Late Than Never" has been released.

  - Add new values to OobsUserHomeFlags to allow more operations
    on home directory
  - Update documentation for OOBS_USER_ERASE_HOME, whose signification was extended
  - Add oobs_user_get_full_name_fallback(), providing always meaningful names
  - Set D-Bus timeout to max for async replies
  - Bump soname to 5.0.0 to reflect ABI break of last cycle (too late)

Liboobs 2.31.1, 2010-05-27
-----------------------------------------------
Liboobs version 2.31.1 "Private" has been released.

  - Clear runlevels list before updating (fixes enabling NTP the first
time in time-admin)
  - Don't include dbus/dbus.h in public headers (fixes building clients)
  - Add libdubus-1 to Requires.private


Liboobs 2.30.0, 2010-03-29
-----------------------------------------------
Liboobs version 2.30.0 "Don't You Notice It's Freaking Good?" has been released.

  - Fix removing deleted users from group members (typo)
  - Don't forget to commit minimum and maximum UIDs/GIDs
  - Use guint32 instead of uid_t with D-Bus to avoid potential size problems


Liboobs 2.29.92, 2010-03-08
-----------------------------------------------
Liboobs version 2.29.92 "Midnight" has been released.

   - Fix 'password-disabled' property (account lock support)


Liboobs 2.29.91, 2010-02-15
-----------------------------------------------
Liboobs version 2.29.91 "Noon" has been released.

- Various crash fixes
- Improve references handling around OobsObjects
- Fix appending user home flags to DBusMessage


Liboobs 2.29.90, 2010-02-08
-----------------------------------------------
Liboobs version 2.29.90 "Frosty" has been released.

- OobsService is now an OobsObject, which should normally be committed separately
- Don't remove unknown users from /etc/group (LDAP compliance)
- Disable HAL support by default (Javier Jardón)
- Make all OobsObjects real singletons
- Ensure passwords are erased from memory
- Fix reference counting with OobsUsers and OobsGroups


Liboobs 2.29.3, 2010-01-25
-----------------------------------------------
Liboobs version 2.29.3 "Tune Up" has been released.

- New function oobs_object_authenticate() allowing clients to request PolicyKit authentication to be more user-friendly
- Basic GError reporting support, used in the above function for now
- Fix OobsSelfConfig getting the UID of current user, and add oobs_self_config_is_user_self()
- Move from utmp to utmpx (thanks to Ed Schouten)


Liboobs 2.29.2.1, 2010-01-12
-----------------------------------------------
Liboobs version 2.29.2.1 "I Got It Bad And That Ain't Good" has been released.

- Fix missing header that was preventing the GNOME System Tools from building (Götz Waschk)


Liboobs 2.29.2, 2010-01-11
-----------------------------------------------

Liboobs version 2.29.2 "Follow Suit" has been released. This release depends on the System Tools Backends 2.9.0.

- Move to the new System Tools Backends users and groups protocol. This mainly implies that OobsUser and OobsGroup are now OobsObjects, and can be committed individually, with new add() and delete() methods.
- Add new fields from this protocol: passwords are now in clear text, UIDs and GIDs can be guint32, new password and home flags, encrypted home boolean, locale and location.
- When committed, OobsUser is immediately updated with the D-Bus reply, to fill fields that were left empty and chosen by the platform tools.
- Add a lot of convenience functions to manage users and groups lists, taken from the GNOME System Tools.
- Raise OOBS_MAX_[UG]ID to G_MAXUINT32 on platforms where it is possible, now that the protocol supports it. Use << instead of pow().
- Fix OobsSession not being a singleton.

Liboobs 2.29.1, 2009-11-30
-----------------------------------------------

Liboobs version 2.29.1 "Not Yet!" has been released.

- Remember init scripts priority, allowing for GUIs not to care about them, simply passing 0 to mean "previous".
- Don't allow clients to remove init scripts by setting their status to "ignore": scripts should always use "start" or "stop" statuses, so that their priority is not lost when disabling them.
- Print a warning to the console when asynchronous commit fails. This ensures that errors will always be reported for debugging purposes.


Liboobs 2.22.2, 2009-09-06
-----------------------------------------------

Liboobs version 2.22.2 "Where's Waldo?" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Print error from D-Bus in case of failure on start. This should greatly help debugging.
- Don't consider empty user password as invalid.
- Make gtk-doc code documentation use inlined section comments, so that it is updated on every change. This will ensure the documentation does not get outdated again.

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.22/


Liboobs 2.22.1, 2009-08-16
-----------------------------------------------

Liboobs version 2.22.1 "Devil is in the Details" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Don't fail if homedir or shell are not set (Bug 521438).
- Fix crash when path to share is empty (Bug 524792).

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.22/


Liboobs 2.22.0, 2008-03-09
-----------------------------------------------

Liboobs version 2.22.0 "Adopt me, please" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Do crash in OobsServicesConfig if the backends couldn't get the current runlevel (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.22/


Liboobs 2.21.92, 2008-02-25
-----------------------------------------------

Liboobs version 2.21.92 "They're like children..." has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Do not block subsequent OobsObject::changed signals from being emitted (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.91, 2008-02-11
-----------------------------------------------

Liboobs version 2.21.91 "Boom boom" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- 0

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.90, 2008-01-28
-----------------------------------------------

Liboobs version 2.21.90 "Still a mistery" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Accept unsetting the ethernet interface used for PPPoE (garnacho)
- Fix typos when trying to write SelfConfig to the backend (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.5, 2008-01-14
-----------------------------------------------

Liboobs version 2.21.5 "Surpassing the law of gravity" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Fix a possible crasher when saving the network configuration (garnacho)
- Do not allow creating users with NULL login (garnacho)
- Fix a double unref in OobsSelfConfig (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.3, 2007-12-18
-----------------------------------------------

Liboobs version 2.21.3 "Capuccino" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Add SMB password handling (garnacho)
- Replace OobsIfaceModem and OobsIfaceIsdn with OobsIfacePPP, which does modem, isdn, pppoe and gprs (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.2.1, 2007-11-14
-----------------------------------------------

Liboobs version 2.21.2.1 "A brown bag release like any other, move along" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Make the right libhal.h include. Bug #496639

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.2, 2007-11-13
-----------------------------------------------

Liboobs version 2.21.2 "Half way through" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Added the possibility to have per-object PolicyKit actions (garnacho)
- Added OobsSelfConfig, to edit the user settings for the requester uid (garnacho)
- Adapt to s-t-b >= 2.5.2 and disallow the possibility to change users/groups name (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.21.1, 2007-10-29
-----------------------------------------------

Liboobs version 2.21.1 "Wordless questions" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Add API to know whether an user is currently active (garnacho)
- Add network interfaces state monitoring, at the moment it only works in linux (garnacho)
- Add optional HAL support, used for monitoring the addition/removal of network interfaces (garnacho)
- Do not update synchronously on object creation, liboobs users can choose whether to do it synchronously or asynchronously later, this is an ABI change. (garnacho)
- Added PolicyKit support (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.21/


Liboobs 2.19.92, 2007-09-03
-----------------------------------------------

Liboobs version 2.19.92 "Angels fall" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- make oobs_list_remove() return the correct value when removing the last element in the list (John Finlay)
- scan correctly for liboobs types when building the docs (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.19/


Liboobs 2.19.91, 2007-08-28
-----------------------------------------------

Liboobs version 2.19.91 "In a thousand years, or maybe a week" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

- Fixes to make more binding-friendly (John Finlay)

Thanks to anyone involved!

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.19/


Liboobs 2.19.0, 2007-07-10
-----------------------------------------------

Liboobs version 2.19.0 "Not a lot to see" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* avoid critical warnings when there is no connection to the bus (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.19/


Liboobs 2.18.1, 2007-04-09
-----------------------------------------------

Liboobs version 2.18.1 "Yadda yadda" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* Link explicitly with GObject (Loïc Minier)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.18/


Liboobs 2.18.0, 2007-03-12
-----------------------------------------------

Liboobs version 2.18.0 "As the wind blows" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* Zero

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.18/


Liboobs 2.17.92, 2007-02-12
-----------------------------------------------

Liboobs version 2.17.92 "Tachannn!" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* Nada

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.91, 2007-02-12
-----------------------------------------------

Liboobs version 2.17.91 "Fools bar" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* fix potential memory messing in oobs_share_nfs_get_acl()

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.90.1, 2007-01-23
-----------------------------------------------

Liboobs version 2.17.90.1 "Prelude" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* reduce some dubious g_critical()'s to g_warning()'s

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.90, 2007-01-22
-----------------------------------------------

Liboobs version 2.17.90 "So young and already 90" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.5.1, 2007-01-09
-----------------------------------------------

Liboobs version 2.17.5.1 "Not worth a codename" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* send correctly config methods and key types according to the new format (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.5, 2007-01-09
-----------------------------------------------

Liboobs version 2.17.5 "Nihil" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* update minimum s-t-b to 2.1.2
* add support for extensible lists of configuration methods and key types, this way individual distributions may add their own support without affecting others (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.4, 2007-01-08
-----------------------------------------------

Liboobs version 2.17.4 "Omni" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* add function to process all pending messages (garnacho)
* add a bunch of API docs (garnacho)
* avoid a conditional jump based on uninitialized values in OobsTimeConfig (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.3, 2006-11-30
-----------------------------------------------

Liboobs version 2.17.3 "no memory" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* Fix a bunch of compiler warnings (Kjartan Maraas)
* Fix a potential crasher in shares-admin nautilus extension (#362942, garnacho)
* Fix an assert with DBus warnings enabled (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 2.17.2, 2006-11-05
-----------------------------------------------

Liboobs version 2.17.2 "Shivering stone" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================

* Do not leave unused UIDs/GIDs (garnacho)
* Make some classes abstract as they should (garnacho)
* Plug some leaks (garnacho)
* Do not mess with network address when setting gateway (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/2.17/


Liboobs 0.6.0, 2006-10-06
-----------------------------------------------

Liboobs version 0.6.0 "Don't tell me what's in" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================
* Handle better the situations where Liboobs can't get a DBusConnection (garnacho)
* Fix supported platforms retrieving (garnacho)
* Get/set the gateway properly for static interfaces (garnacho)
* Code robustness improvements (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.6/


Liboobs 0.5.0, 2006-09-28
-----------------------------------------------

Liboobs version 0.5.0 "Mankind... connected" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================
* Extend and improve error handling, Handle DBUS_ERROR_ACCESS_DENIED properly (garnacho)
* Adapt to s-t-b DBus struct changes in users, groups and services objects (garnacho)
* Code robustness fixes (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.5/


Liboobs 0.4.0, 2006-09-06
-----------------------------------------------

Liboobs version 0.4.0 "I'll wait on the corner" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================
* fixed a bad bad nasty-de-plasty weird bug that could cripple your init.d, I should be buried beside a nest of cannibal ants for this. My apologies to anyone affected. I'll buy the shovel. (garnacho)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.4/


Liboobs 0.3.0, 2006-09-04
-----------------------------------------------

Liboobs version 0.3.0 "Blackwards" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================
* do not export unwanted symbols (garnacho)
* documentation improvements (garnacho)
* update to newer DBus API (garnacho)
* do not offer API functions for guessing init.d service roles

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.3/


Liboobs 0.2.0, 2006-08-02
-----------------------------------------------

Liboobs version 0.2.0 "Oxygen drowning" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Changes since last release
==========================
* use libc MD5 crypt() (garnacho)
* fix a crash in oobs_hosts_config_set_domainname() (garnacho)
* make sure that the "changed" signal is sent to the relevant objects (garnacho)
* put title to API reference (Ed Catmur)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.1/


Liboobs 0.1.0, 2006-06-06
-----------------------------------------------

Liboobs version 0.1.0 "Shattered ataraxia" has been released.

Liboobs is a lightweight library that provides a GObject based interface to system-tools-backends. It's completely abstracted of the communication and authentication details, making it easy for applications to integrate with the system details.

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/liboobs/0.1/
